from parallels.plesk.hosting_repository.utils.cli.base import BaseCli


class ResellerExternalIdCli(BaseCli):
    def __init__(self, runner, username, external_id):
        super(ResellerExternalIdCli, self).__init__(runner)
        self._username = username
        self._external_id = external_id

    @property
    def name(self):
        return 'reseller'

    def _get_args(self):
        return [
            '--update', self._username,
            '-external-id', self._external_id
        ]
